Send Email Via API Credential
curl --request POST \
--url https://api.unibee.dev/merchant/email/send_email_via_api_credential \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"gatewayName": "<string>",
"apiCredential": {
"apiKey": "<string>",
"apiSecret": "<string>",
"authType": "<string>",
"oauthToken": "<string>",
"password": "<string>",
"skipTLSVerify": true,
"smtpHost": "<string>",
"smtpPort": 123,
"useTLS": true,
"username": "<string>"
},
"content": "<string>",
"language": "<string>",
"subject": "<string>",
"variables": {}
}
'import requests
url = "https://api.unibee.dev/merchant/email/send_email_via_api_credential"
payload = {
"email": "<string>",
"gatewayName": "<string>",
"apiCredential": {
"apiKey": "<string>",
"apiSecret": "<string>",
"authType": "<string>",
"oauthToken": "<string>",
"password": "<string>",
"skipTLSVerify": True,
"smtpHost": "<string>",
"smtpPort": 123,
"useTLS": True,
"username": "<string>"
},
"content": "<string>",
"language": "<string>",
"subject": "<string>",
"variables": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
gatewayName: '<string>',
apiCredential: {
apiKey: '<string>',
apiSecret: '<string>',
authType: '<string>',
oauthToken: '<string>',
password: '<string>',
skipTLSVerify: true,
smtpHost: '<string>',
smtpPort: 123,
useTLS: true,
username: '<string>'
},
content: '<string>',
language: '<string>',
subject: '<string>',
variables: {}
})
};
fetch('https://api.unibee.dev/merchant/email/send_email_via_api_credential', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Email
Send Email Via API Credential
POST
/
merchant
/
email
/
send_email_via_api_credential
Send Email Via API Credential
Endpoint Overview
POSThttps://api.unibee.dev/merchant/email/send_email_via_api_credential
Send Email Via API Credential
Authorization
All UniBee Merchant API requests require authentication via API key.| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
Parameters
Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.Request body
| Name | Type | Required | Description |
|---|---|---|---|
apiCredential | string | No | |
content | string | No | |
email | string | Yes | |
gatewayName | string | Yes | The name of email gateway, available for sendgrid|smtp, default gateway will use if not provide |
language | string | No | Language |
subject | string | No | |
variables | object | No | Variables,Map |
Request examples
cURL
curl -X POST "https://api.unibee.dev/merchant/email/send_email_via_api_credential" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"apiCredential": "",
"content": "",
"email": "user@example.com",
"gatewayName": "",
"language": "",
"subject": "",
"variables": {}
}'
Sandbox
curl -X POST "https://api-sandbox.unibee.top/merchant/email/send_email_via_api_credential" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"apiCredential": "",
"content": "",
"email": "user@example.com",
"gatewayName": "",
"language": "",
"subject": "",
"variables": {}
}'
Response
Success responses return a JSON envelope withcode, data, message, redirect, and requestId. code 0 indicates success. The response schema for this endpoint is shown below.
Error handling
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The name of email gateway, available for sendgrid|smtp, default gateway will use if not provide
Show child attributes
Show child attributes
Language
Variables,Map
Show child attributes
Show child attributes
⌘I

